For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Account object
          • GET/accounts
          • POST/accounts
          • GET/accounts/{id}
          • PATCH/accounts/{id}
          • GET/accounts/meta/patch/{id}
          • GET/accounts/meta/post
          • GET/accounts/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAccounts

/accounts/{id}

GET
/crm/v1/accounts/:id
GET
/api/crm/v1/accounts/:id
$curl -G https://api.merge.dev/api/crm/v1/accounts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=owner
200Retrieved
1{
2 "id": "0958cbc6-6040-430a-848e-aafacbadf4ae",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "owner": "0258cbc6-6020-430a-848e-aafacbadf4ae",
7 "name": "Merge API",
8 "description": "One API for all integrations",
9 "industry": "API's",
10 "website": "https://merge.dev/",
11 "number_of_employees": 276000,
12 "addresses": [
13 {
14 "created_at": "2021-09-15T00:00:00Z",
15 "modified_at": "2021-10-16T00:00:00Z",
16 "street_1": "50 Bowling Green Dr",
17 "street_2": "Golden Gate Park",
18 "city": "San Francisco",
19 "state": "CA",
20 "postal_code": "94122",
21 "country": "US",
22 "address_type": "BILLING"
23 }
24 ],
25 "phone_numbers": [
26 {
27 "created_at": "2021-09-15T00:00:00Z",
28 "modified_at": "2021-10-16T00:00:00Z",
29 "phone_number": "+16788879833",
30 "phone_number_type": "Mobile"
31 }
32 ],
33 "last_activity_at": "2022-02-10T00:00:00Z",
34 "remote_updated_at": "2022-01-09T00:00:00Z",
35 "remote_created_at": "2021-11-10T00:00:00Z",
36 "remote_was_deleted": true,
37 "field_mappings": {
38 "organization_defined_targets": {
39 "custom_key": "custom_value"
40 },
41 "linked_account_defined_targets": {
42 "custom_key": "custom_value"
43 }
44 },
45 "remote_data": [
46 {
47 "path": "/accounts",
48 "data": null
49 }
50 ],
51 "remote_fields": [
52 {
53 "remote_field_class": {
54 "id": "string",
55 "display_name": "string",
56 "remote_key_name": "string",
57 "description": "string",
58 "is_custom": true,
59 "is_common_model_field": true,
60 "is_required": true,
61 "field_type": "string",
62 "field_format": "string",
63 "field_choices": [
64 "string"
65 ],
66 "item_schema": {
67 "item_type": "string",
68 "item_format": "string",
69 "item_choices": [
70 "string"
71 ]
72 }
73 },
74 "value": "string"
75 }
76 ]
77}

Returns an Account object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/accounts

Next

/accounts/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
ownerstring or nullformat: "uuid"
The account's owner.
namestring or null
The account's name.
descriptionstring or null
The account's description.
industrystring or null
The account's industry.
websitestring or nullformat: "uri"<=2000 characters
The account's website.
number_of_employeesinteger or null-2147483648-2147483647
The account's number of employees.
addresseslist of objects
phone_numberslist of objectsRead-only
last_activity_atdatetime or null

The last date (either most recent or furthest in the future) of when an activity occurs in an account.

remote_updated_atdatetime or null
When the CRM system account data was last modified by a user with a login.
remote_created_atdatetime or null
When the third party's account was created.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only